Bug 35982 - [MAINTAINER UPDATE] databases/firebird - Version 1.0.0
Summary: [MAINTAINER UPDATE] databases/firebird - Version 1.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-16 16:20 UTC by Chris Knight
Modified: 2002-05-10 14:29 UTC (History)
0 users

See Also:


Attachments
file.diff (13.10 KB, patch)
2002-03-16 16:20 UTC, Chris Knight
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Knight 2002-03-16 16:20:02 UTC
Firebird version 1.0.0 has been released

Fix: Apply the patch
Remove the following files:
- files/patch-aa
- files/patch-ab
- files/patch-ac
How-To-Repeat: 
N/A
Comment 1 Alan Eldridge 2002-03-16 16:24:26 UTC
On Sat, Mar 16, 2002 at 05:47:30PM +1100, Chris Knight wrote:

>Apply the patch
>Remove the following files:
>- files/patch-aa
>- files/patch-ab
>- files/patch-ac

Chris, I see you are using a local copy of the ports repo. You can
create the diff that includes the removal of the files by following
these easy steps:

1. 'rm' the files from your working copy.
2. 'cvs rm' the files from your working copy.
3. use 'cvs diff -N', instead of just 'cvs diff'.

That's it. Easy, quick, and painless. 


-- 
AlanE
"When the going gets tough, the weird turn pro." - HST
Comment 2 Alan Eldridge 2002-03-16 16:26:20 UTC
On Sat, Mar 16, 2002 at 05:47:30PM +1100, Chris Knight wrote:
>Remove the following files:
>- files/patch-aa
>- files/patch-ab
>- files/patch-ac

Oops. I didn't read past your instructions to remove the files.
Looks like you did it the right way, so there's no need to manually
remove files. 

Sorry.

-- 
AlanE
"When the going gets tough, the weird turn pro." - HST
Comment 3 dwcjr 2002-03-31 15:01:12 UTC
The end result should be patched not being needed any more being erased. 
 In the case of large patches, its just easier to say to delete it at 
the top of the pr so you don't have a huge patch that erases a patch.
Comment 4 dwcjr 2002-03-31 15:07:20 UTC
I get this on -current

e/dsql/make.bin  source/dsql/metd.bin source/dsql/movd.bin  
source/dsql/parse.bin source/dsql/pass1.bin  source/dsql/preparse.bin 
source/dsql/user_dsql.bin  source/dsql/utld.bin source/lock/lock.bin  
source/remote/interface.bin source/remote/allr.bin  
source/remote/inet.bin source/remote/merge.bin  source/remote/parser.bin 
source/remote/protocol.bin  source/remote/remote.bin  
source/utilities/security.bin head5.bin allp.bin    source/wal/wal.bin 
source/wal/walc.bin source/wal/walf.bin  source/wal/walr.bin 
source/wal/walw.bin functions.bin   -lc -o gds.so
chmod 666 gds.so
mv -f gds.so source/interbase/lib/gds.so
touch gds.so
chmod 666 gds.so
rm -f burp
cc  backup.o burp.o canonical.o misc.o mvol.o restore.o    -o burp 
-Lsource/jrd -lgds -lgds_pyxis -lcrypt
/usr/libexec/elf/ld: cannot find -lgds_pyxis
*** Error code 1

Stop in /usr/home/poseiden/port/firebird/work/firebird-1.0.0.796/burp.
*** Error code 1
Comment 5 Chris Knight 2002-04-02 12:02:52 UTC
Howdy,

OK, I've think I've worked out the problem. Your box is too quick :-)
However I haven't worked out how to fix it :-(
In your errorlog, it tries linking burp to source/jrd/libgds_pyxis.a
which is a symlink to source/interbase/lib/libgds_pyxis.a which is a
symlink to gds_pyxis.a in the same directory.
I think by the time burp gets linked on your box, the final symlink
is still pointing to fresh air.
My brain quota has been exceeded for today - any ideas on a simple
fix?

Regards,
Chris Knight
Systems Administrator
AIMS Independent Computer Professionals
Tel: +61 3 6334 6664  Fax: +61 3 6331 7032  Mob: +61 419 528 795
Web: http://www.aims.com.au
Comment 6 Chris Knight 2002-04-26 01:44:18 UTC
Howdy,

Could you try running the following script concurrently with a build of
Firebird? This should let me know if it's a softupdates issue. Disk
performance will suck while running the script, but it will ensure that any
effects of softupdates will be mostly negated. Thanks.

#!/bin/sh
while [ 1 -eq 1 ]
do
  sync;sync;sync;sync
  sleep 1
done

Regards,
Chris Knight
Systems Administrator
AIMS Independent Computer Professionals
Tel: +61 3 6334 6664  Fax: +61 3 6331 7032  Mob: +61 419 528 795
Web: http://www.aims.com.au
Comment 7 dwcjr freebsd_committer 2002-05-10 14:29:46 UTC
State Changed
From-To: open->closed

Committed, thanks!